<ng-template #contentMail let-modal>
    <div class="modal-header">
      <h4 class="modal-title" id="modal-form">Réinitialiser le mot de passe</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
		<p>Entrez votre Adresse Email</p>
        <form (ngSubmit)="verifyEmail(content , modal)">
			<div class="form-group">
				<label for="email">Adresse Email</label>
				<input type="email" class="form-control" id="verifEmail" name="verifEmail" [(ngModel)]="verifEmail" />
				<span class="error-message"  *ngIf='errorEmail'>Adresse Email non valide</span>
			</div>
			<div class="btn-grp">
            <button type="submit" class="btn btn-success">Confirmer</button>
			</div>
        </form>
    </div>
  </ng-template>


<ng-template #content let-modal>
    <div class="modal-header">
      <h4 class="modal-title" id="modal-form">Réinitialiser le mot de passe</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
		<p>Le code de vérification a été envoyé au {{HidePhoneNumber(userVerify.tel)}}</p>
        <form (ngSubmit)="verifyCode(modal , contentChange)">
			<div class="form-group">
				<label for="text">Code</label>
				<input type="number" class="form-control" id="codeVerify" name="codeVerify" [(ngModel)]="codeVerify" placeholder="ex : 254785" />
				<span class="error-message"  *ngIf='errorCode'>Code non valide</span>
			</div>
			<div class="btn-grp">
            <button type="submit" class="btn btn-success">Valider</button>
			<button type="submit" class="btn btn-danger" (click)="envoyerCode(userVerify.tel)">Renvoyer le Code</button>
			</div>
        </form>
    </div>
  </ng-template>

  <ng-template #contentChange let-modal>
    <div class="modal-header">
      <h4 class="modal-title" id="modal-form">Réinitialiser le mot de passe</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
		<p>Tapez votre nouveau mot de passe</p>
        <form (ngSubmit)="changePassword(modal)">
			<div class="form-group">
				<label for="text">Nouveau Mot de Passe</label>
				<input type="password" class="form-control" id="passwordChange" name="passwordChange" [(ngModel)]="passwordChange" placeholder="Entrez votre nouveau mot de passe ici..." />

			</div>
			<div class="form-group">
				<label for="text">Confirmer Mot de Passe</label>
				<input type="password" class="form-control" id="passwordConfirm" name="passwordConfirm" [(ngModel)]="passwordConfirm" placeholder="Confirmez votre nouveau mot de passe ici..." />
				<span class="error-message"  *ngIf='errorMatch'>les mots de passe ne correspondent pas</span>
			</div>
			<div class="btn-grp">
            <button type="submit" class="btn btn-success">Changer</button>
			</div>
        </form>
    </div>
  </ng-template>






<img class="wave" src="../../../assets/wave.png">
	<div class="container">
		<div class="img">
			<img src="../../../assets/illust.svg">
		</div>
		<div class="login-content">
			<form action="index.html">
				<h2 class="title">Bienvenue</h2>
                <span class="error-message"  *ngIf='invalidLogin'>{{errorMessage}}</span>
           		<div class="input-div one">
           		   <div class="i">
           		   		<i class="fa fa-user"></i>
           		   </div>
           		   <div class="div">
           		   		<input type="text"
                        class="input"
                        [(ngModel)]="username"
                        placeholder="Email">
           		   </div>
           		</div>
           		<div class="input-div pass">
           		   <div class="i"> 
           		    	<i class="fa fa-lock"></i>
           		   </div>
           		   <div class="div">
           		    	<input type="password"
                        class="input"
                        placeholder="Mot de Passe"
                        [(ngModel)]="password" >
            	   </div>
            	</div>
            	<a (click)="open(contentMail)">Mot de Passe Oublié ?</a>
            	<input type="submit" class="btn" value="Connexion" (click)="checkLogin()">
            </form>
        </div>
    </div>